Loading...
Searching...
No Matches
unique_fd.h File Reference

File descriptor wrapper that owns a file descriptor. More...

`#include <utility>`
`#include <libcamera/base/class.h>`
Include dependency graph for unique_fd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::UniqueFD
| unique_ptr-like wrapper for a file descriptor More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

File descriptor wrapper that owns a file descriptor.